Get the news of an entity

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/entities/{entity_id}/news

Get the news of the tasks of an entity. A news is made when a comment is posted on a task. Clients cannot use this route.

Path parameters

  • entity_id string(uuid) Required

    Unique identifier of the entity

Responses

  • 200 application/json

    The list of news

    Hide response attributes Show response attributes object
    • id string(uuid)

      News unique identifier

    • change boolean

      Whether this news represents a change

    • author_id string(uuid)

      Author person identifier

    • comment_id string(uuid)

      Comment identifier

    • task_id string(uuid)

      Task identifier

    • preview_file_id string(uuid)

      Preview file identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 403

    You are a client, or you do not have access to this entity

  • 404

    The entity does not exist

GET /data/entities/{entity_id}/news
curl -X GET "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/news" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/entities/a24a6ea4-ce75-4665-a070-57453082c25/news"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "change": true,
    "author_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "comment_id": "c46c80c6-e097-6887-c292-79675204e470",
    "task_id": "d57d91d7-f108-7998-d403-80786315f580",
    "preview_file_id": "e68e02e8-0219-8009-e514-918974260690",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]